org.apache.felix.ipojo

## Interface IPOJOServiceFactory

All Known Subinterfaces:
  ServiceObjectFactory

    public interface IPOJOServiceFactory

iPOJO Service Factory is a special service factory handling to get the instance consuming the service. The mechanism is equivalent to the OSGi Service Factory.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getService(ComponentInstance instance)` Gets a service object.
`void` `ungetService(ComponentInstance instance, java.lang.Object svcObject)` Un-gets a service object.

### Method Detail

#### getService

    java.lang.Object getService(ComponentInstance instance)

Gets a service object.

Parameters:
  `instance` - the instance asking the for the service object.
Returns:
  the service object.

#### ungetService

    void ungetService(ComponentInstance instance,
                      java.lang.Object svcObject)

Un-gets a service object.

Parameters:
  `instance` - the instance un-getting the service object.
  `svcObject` - the service object used